Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class ConstructorSite.NoParamSite

    java.lang.Object
      ConstructorSiteNoUnwrapNoCoerce
          org.codehaus.groovy.runtime.callsite.ConstructorSite.NoParamSite

    class ConstructorSite.NoParamSite
    extends ConstructorSiteNoUnwrapNoCoerce

Constructor Summary
`ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

Method Summary
`Object` | `callConstructor(Object receiver, Object[] args)`

Constructor Detail

### ConstructorSite.NoParamSite

    public ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

Method Detail

### callConstructor

    public final Object callConstructor(Object receiver, Object[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.